%define upstream_name    Config-Model-TkUI
%define upstream_version 1.306

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    GUI for conf editors based on Config::Model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert::More)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Config::Model)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Tk::DirSelect)
BuildRequires: perl(Tk::ObjScanner)
BuildRequires: x11-server-xvfb

BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

Requires: perl(Config::Model)

%description
This class provides a GUI for the Config::Model manpage.

With this class, the Config::Model manpage and an actual configuration
model (like the Config::Model::Xorg manpage), you get a tool to edit
configuration files (e.g. '/etc/X11/xorg.conf').

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
xvfb-run ./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 1.306.0-1mdv2010.1
+ Revision: 530261
- update to 1.306

* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 1.305.0-1mdv2010.1
+ Revision: 529816
- adding missing buildrequires:
- update to 1.305

* Sat Mar 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.304.0-1mdv2010.1
+ Revision: 518659
- update to 1.304

* Sun Feb 28 2010 Jérôme Quelin <jquelin@mandriva.org> 1.303.0-1mdv2010.1
+ Revision: 512604
- update to 1.303

* Fri Jan 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.302.0-1mdv2010.1
+ Revision: 494931
- update to 1.302

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.301.0-1mdv2010.0
+ Revision: 432802
- update to 1.301

* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.211.0-2mdv2010.0
+ Revision: 393076
- fix dependencies

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.211.0-1mdv2010.0
+ Revision: 392788
- import perl-Config-Model-TkUI


* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.0-1mdv2010.0
- initial mdv release, generated with cpan2dist

